package com.chinaitop;

import com.chinaitop.depot.storage.service.FeignAgileService;
import com.chinaitop.depot.storage.service.FeignBasicService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * @author qingsong.han
 * @description:
 * @create 2020-07-20 15:16
 */
@Component
public class HystrixClientFallback implements FeignBasicService,FeignAgileService {
    private final static Logger logger = LoggerFactory.getLogger(HystrixClientFallback.class);

    @Override
    public Map<String, Object> getWareDataByHwbm(String hwbm) {
        return null;
    }

    @Override
    public Map<String, Object> getStoreDataByHouseId(int houseId) {
        return null;
    }

    @Override
    public void updateWarehouseCrkStatus(Integer wareId, String crk_status) {
        logger.info("warehouseId: " + wareId + "warehouseStatus" + crk_status);
    }

    @Override
    public Map<String, Object> getDateByChHwh(Integer orgId, Integer houseId, Integer wareHouseId) {
        return null;
    }
}
