package com.chinaitop.depot.archives.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class StorageQualitycheckArchivesSon {
    private String id;

    private String archivesId;

    private Integer houseId;

    private String tankId;

    private Integer warehouseId;

    private Integer inspectionId;

    private Integer orgId;

    private String inspectionType;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date ckTime;

    private Integer ckNumber;

    private String ckSales;

    private String dailyCw;

    private String dailyLw;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date checkTime;

    private String water;

    private String glutenWaterCount;

    private String eatScore;

    private String fatIndex;

    private String checker;

    private Date createTime;

    private String storehouseName;
    private String wareHouseName;
    private String tankName;

    /**
     * 质量档案表
     * @return id 质量档案表
     */
    public String getId() {
        return id;
    }

    /**
     * 质量档案表
     * @param id 质量档案表
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 质量档案id
     * @return archives_id 质量档案id
     */
    public String getArchivesId() {
        return archivesId;
    }

    /**
     * 质量档案id
     * @param archivesId 质量档案id
     */
    public void setArchivesId(String archivesId) {
        this.archivesId = archivesId == null ? null : archivesId.trim();
    }

    /**
     * 仓房的id
     * @return house_id 仓房的id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房的id
     * @param houseId 仓房的id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 油罐id
     * @return tank_id 油罐id
     */
    public String getTankId() {
        return tankId;
    }

    /**
     * 油罐id
     * @param tankId 油罐id
     */
    public void setTankId(String tankId) {
        this.tankId = tankId == null ? null : tankId.trim();
    }

    /**
     * 货位号id
     * @return warehouse_id 货位号id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位号id
     * @param warehouseId 货位号id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 检验id
     * @return inspection_id 检验id
     */
    public Integer getInspectionId() {
        return inspectionId;
    }

    /**
     * 检验id
     * @param inspectionId 检验id
     */
    public void setInspectionId(Integer inspectionId) {
        this.inspectionId = inspectionId;
    }

    /**
     * 组织结构id
     * @return org_id 组织结构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织结构id
     * @param orgId 组织结构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 检验类型，CK1是第一批检验，CK2是第二批出库检验，DQ是定期检验，RC是日常检验
     * @return inspection_type 检验类型，CK1是第一批检验，CK2是第二批出库检验，DQ是定期检验，RC是日常检验
     */
    public String getInspectionType() {
        return inspectionType;
    }

    /**
     * 检验类型，CK1是第一批检验，CK2是第二批出库检验，DQ是定期检验，RC是日常检验
     * @param inspectionType 检验类型，CK1是第一批检验，CK2是第二批出库检验，DQ是定期检验，RC是日常检验
     */
    public void setInspectionType(String inspectionType) {
        this.inspectionType = inspectionType == null ? null : inspectionType.trim();
    }

    /**
     * 出库时间
     * @return ck_time 出库时间
     */
    public Date getCkTime() {
        return ckTime;
    }

    /**
     * 出库时间
     * @param ckTime 出库时间
     */
    public void setCkTime(Date ckTime) {
        this.ckTime = ckTime;
    }

    /**
     * 出库数量
     * @return ck_number 出库数量
     */
    public Integer getCkNumber() {
        return ckNumber;
    }

    /**
     * 出库数量
     * @param ckNumber 出库数量
     */
    public void setCkNumber(Integer ckNumber) {
        this.ckNumber = ckNumber;
    }

    /**
     * 出库销售对象
     * @return ck_sales 出库销售对象
     */
    public String getCkSales() {
        return ckSales;
    }

    /**
     * 出库销售对象
     * @param ckSales 出库销售对象
     */
    public void setCkSales(String ckSales) {
        this.ckSales = ckSales == null ? null : ckSales.trim();
    }

    /**
     * 日常检验仓温
     * @return daily_cw 日常检验仓温
     */
    public String getDailyCw() {
        return dailyCw;
    }

    /**
     * 日常检验仓温
     * @param dailyCw 日常检验仓温
     */
    public void setDailyCw(String dailyCw) {
        this.dailyCw = dailyCw == null ? null : dailyCw.trim();
    }

    /**
     * 日常检验粮温
     * @return daily_lw 日常检验粮温
     */
    public String getDailyLw() {
        return dailyLw;
    }

    /**
     * 日常检验粮温
     * @param dailyLw 日常检验粮温
     */
    public void setDailyLw(String dailyLw) {
        this.dailyLw = dailyLw == null ? null : dailyLw.trim();
    }

    /**
     * 检验时间
     * @return check_time 检验时间
     */
    public Date getCheckTime() {
        return checkTime;
    }

    /**
     * 检验时间
     * @param checkTime 检验时间
     */
    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    /**
     * 水分
     * @return water 水分
     */
    public String getWater() {
        return water;
    }

    /**
     * 水分
     * @param water 水分
     */
    public void setWater(String water) {
        this.water = water == null ? null : water.trim();
    }

    /**
     * 定期面筋吸水量
     * @return gluten_water_count 定期面筋吸水量
     */
    public String getGlutenWaterCount() {
        return glutenWaterCount;
    }

    /**
     * 定期面筋吸水量
     * @param glutenWaterCount 定期面筋吸水量
     */
    public void setGlutenWaterCount(String glutenWaterCount) {
        this.glutenWaterCount = glutenWaterCount == null ? null : glutenWaterCount.trim();
    }

    /**
     * 定期品尝评分值
     * @return eat_score 定期品尝评分值
     */
    public String getEatScore() {
        return eatScore;
    }

    /**
     * 定期品尝评分值
     * @param eatScore 定期品尝评分值
     */
    public void setEatScore(String eatScore) {
        this.eatScore = eatScore == null ? null : eatScore.trim();
    }

    /**
     * 定期脂肪酸值
     * @return fat_index 定期脂肪酸值
     */
    public String getFatIndex() {
        return fatIndex;
    }

    /**
     * 定期脂肪酸值
     * @param fatIndex 定期脂肪酸值
     */
    public void setFatIndex(String fatIndex) {
        this.fatIndex = fatIndex == null ? null : fatIndex.trim();
    }

    /**
     * 检验人
     * @return checker 检验人
     */
    public String getChecker() {
        return checker;
    }

    /**
     * 检验人
     * @param checker 检验人
     */
    public void setChecker(String checker) {
        this.checker = checker == null ? null : checker.trim();
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }

    public String getWareHouseName() {
        return wareHouseName;
    }

    public void setWareHouseName(String wareHouseName) {
        this.wareHouseName = wareHouseName;
    }

    public String getTankName() {
        return tankName;
    }

    public void setTankName(String tankName) {
        this.tankName = tankName;
    }
}