package com.chinaitop.depot.storage.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.storage.mapper.StorageDumpMapper;
import com.chinaitop.depot.storage.model.StorageDump;
import com.chinaitop.depot.storage.model.StorageDumpExample;
import com.chinaitop.depot.storage.service.StorageDumpService;

@Service
public class StorageDumpServiceImpl implements StorageDumpService {

	@Resource
	private StorageDumpMapper storageDumpMapper;

	@Override
	public void save(StorageDump storageDump) {
		storageDumpMapper.insertSelective(storageDump);
	}

	@Override
	public StorageDump findByParmaryKey(Integer id) {
		return storageDumpMapper.selectByPrimaryKey(id);
	}

	@Override
	public List<StorageDump> findCondition(StorageDumpExample example) {
		return storageDumpMapper.selectByExample(example);
	}

	@Override
	public List<Map<String, Object>> selectYswData(Integer orgId) {
		Map<String, Object> parameter = new HashMap<String, Object>();
		parameter.put("orgId", orgId);
		List<Map<String, Object>> list = storageDumpMapper.selectYswData(orgId);
		return list;
	}

}
