package com.chinaitop.depot.unissoft.webservice;


import javax.annotation.Resource;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.chinaitop.depot.pushs.service.PushscheckService;
import com.chinaitop.depot.storage.controller.StorageQualitycheckController;
import com.chinaitop.depot.storage.mapper.StorageQualitycheckMapper;
import com.chinaitop.depot.storage.model.StorageQualitycheck;
import com.chinaitop.depot.storage.model.StorageQualitycheckExample;
import com.chinaitop.depot.storage.model.StorageQualitycheckSon;
import com.chinaitop.depot.storage.model.StorageQualitycheckSonExample;
import com.chinaitop.depot.storage.service.StorageQualitycheckService;
import com.chinaitop.depot.storage.service.StorageQualitycheckSonService;
import com.chinaitop.depot.storage.utils.ParameterUtil;
import org.apache.commons.lang.ObjectUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

@Service
@SuppressWarnings("all")
public class QualityCheckFCServiceImpl implements QualityCheckFCService {

	final static Logger logger = LoggerFactory.getLogger(StorageQualitycheckController.class);

	@Resource
	private com.chinaitop.depot.pushs.service.PushscheckService PushscheckService;

	@Resource
	private StorageQualitycheckService storageQualitycheckService;

	@Resource
	private StorageQualitycheckSonService qualitycheckSonService;

	@Override
	public String outQualitycheck(String houseId,String warehouseId,String subType,String orgId) {
		Map<String, Object> result = new HashMap<String, Object>();

		String date = ParameterUtil.getSysDateTime();
		logger.info("时间："+date+"，出入库获取出库质检数据接口，出入库系统调用，接收参数是："+orgId);
		try {
			if (ParameterUtil.isnotnull(houseId) && ParameterUtil.isnotnull(warehouseId) && ParameterUtil.isnotnull(subType) && ParameterUtil.isnotnull(orgId)) {
				StorageQualitycheck qualityCheckExample = new StorageQualitycheck();
				//YG开头是是油罐，否则是粮食仓房
				if (houseId.length() > 2 && "YG".equals(houseId.substring(0, 2))) {
					qualityCheckExample.setTankId(houseId);//油罐数据
				} else {
					qualityCheckExample.setHouseId(Integer.parseInt(houseId));//仓房数据
					qualityCheckExample.setWarehouseId(Integer.parseInt(warehouseId));//货位ID
				}
				qualityCheckExample.setSubType(Integer.parseInt(subType));//品种ID
				qualityCheckExample.setOrgId(Integer.parseInt(orgId));//组织机构ID
				List<Map<String, Object>> list = storageQualitycheckService.findByOrdId(qualityCheckExample);

				for (Map<String, Object> quality : list) {
					List<Map<String, Object>> storageQualitycheckSon = qualitycheckSonService.selectByQualitycheckId(quality.get("id").toString());
					if(storageQualitycheckSon.size()>1){
						for (Map<String, Object> son : storageQualitycheckSon) {
							quality.putAll(son);
						}
					}

				}

				result.put("qualitycheckData", list);
				result.put("success", "true");
				result.put("msg", "查询成功");
				logger.info("时间："+date+"，出入库获取出库质检数据接口，出入库系统调用，调用成功！");
			}else{
				result.put("success", "false");
				result.put("msg", "查询失败");
				logger.info("时间："+date+"，出入库获取出库质检数据接口，出入库系统调用，调用失败,没有传输参数！");
			}
		} catch (NumberFormatException e) {
			e.printStackTrace();
			result.put("success", "false");
			result.put("msg", "查询失败");
			logger.info("时间："+date+"，出入库获取出库质检数据接口，出入库系统调用，调用失败！");
		}
		finally {
			return JSON.toJSONString(result);
		}
	}


	@Override
	public String setQualitycheckType(String qualitycheckId) {
		Map<String, Object> result = new HashMap<String, Object>();

		String date = ParameterUtil.getSysDateTime();
		logger.info("时间："+date+"，出入库状态回写接口，出入库系统调用，接收参数是："+qualitycheckId);
		try {
			if (null != qualitycheckId) {
				StorageQualitycheck qualityCheck = null;

				if (qualitycheckId.contains(",")) {
					String[] qualityId = qualitycheckId.split(",");
					for (int i = 0; i < qualityId.length; i++) {
						qualityCheck = new StorageQualitycheck();
						String key = qualityId[i];
						qualityCheck.setId(Integer.parseInt(key));
						qualityCheck.setHistoryStatus(2);
						storageQualitycheckService.setQualitycheckType(qualityCheck);
					}
				}else{
					qualityCheck = new StorageQualitycheck();
					qualityCheck.setId(Integer.parseInt(qualitycheckId));
					qualityCheck.setHistoryStatus(2);
					storageQualitycheckService.setQualitycheckType(qualityCheck);
				}
			}
			result.put("success", "true");
			result.put("msg", "上传成功");
			logger.info("时间："+date+"，出入库状态回写接口，出入库系统调用，调用成功！");
		} catch (NumberFormatException e) {
			e.printStackTrace();
			result.put("success", "false");
			result.put("msg", "上传失败");
			logger.info("时间："+date+"，出入库状态回写接口，出入库系统调用，调用失败！");
		}
		finally {
			return JSON.toJSONString(result);
		}
	}

	@Override
	public String downFcInfo(String orgId, String cfId, String hwId) {
		return PushscheckService.downFcInfo(orgId, cfId, hwId);
	}
}